Monday, September 1, 2008

Android 0.9 SDK beta (r1) 發佈嚕:)

Android 0.9 SDK beta 發佈嚕:)

可以在以下連結下載
http://code.google.com/android/download.html

window平台上前一個版本sdk是
android-sdk_m5-rc15_windows
最新版是:
android-sdk-windows-0.9_beta (r1)

兩者的差異可以看releasenotes
http://code.google.com/android/RELEASENOTES.html

目前最新建議的開發環境:
Eclipse 3.4 (Ganymede)
需搭配 plugin ADT-0.7.1
(ADT, Android Development Tools)

個人測試過後,發現還是全都用新的吧。

之前遇到一個窘境,一開始我用 Eclipse 3.3 (Europa)開發,
然後用android-sdk_m5-rc15_windows
先是發現ADT更新,就傻傻的跟著更新,結果更新了ADT
Eclispe回應說要更新sdk,就也跟著抓了新的sdk,發現無法正確啟動模擬器。
想說明明就只是跟著更新而已怎麼會錯呢,結果想要調整回m5-rc15的時候
Eclipse說m5-rc15不適用現在的ADT,把ADT換回前一個版本,照理說環境應該已經跟之前一樣了,舊的sdk舊的ADT,想不到Eclipse回應說需要更新ADT !!
於是就陷入了窘境:更新了ADT就要更新sdk,更新了sdk跑不動,想換回舊環境也不行。
接著就心一橫直接衝
Eclipse 3.4 (Ganymede) + ADT-0.7.1 + android-sdk-windows-0.9_beta
才又可以正常的開發 Orz

以上是window平台上開發android上的故事,在linux上又是另外個故事了 Orz




Eclipse 相關文章:

set Android error log on Eclipse

linux(ubuntu)環境下開發 Android 所遇到的Eclipse 設定問題

Android tutorial : Before HelloWorld

No comments:

Post a Comment

發表一下意見,互動一下唄!

LinkWithin

Related Posts Plugin for WordPress, Blogger...

Adventure Book 2.0 Headline Animator

GoogleAd

funP Android 相關文章